﻿Imports System.Data

Partial Class _Default
    Inherits System.Web.UI.Page
    Dim codigo As String = ""

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        Dim sUsuario As String = String.Empty

        sUsuario = Membership.GetUser().UserName
        If Not (Page.IsPostBack) Then
            validaAccesosPantallas(sUsuario)
        End If
    End Sub

    Public Function validaAccesosPantallas(ByVal sUsuario As String) As Boolean
        BtnBusqueda.Visible = False
        BtnNuevo.Visible = False
        BtnEmpadres.Visible = False
        BtnFotos.Visible = False
        BtnEstado.Visible = False
        BtnFiltro.Visible = False
        BtnCatalogos.Visible = False
        BtnContrasena.Visible = False

        Dim sdsPantallas As New SqlDataSource
        Dim sSQL As String = "SELECT pantalla FROM dbo.Accesos WHERE UserName ='" & sUsuario & "';"
        Dim Resultado As Boolean = False
        Try
            sdsPantallas = New SqlDataSource
            sdsPantallas.ConnectionString = ConfigurationManager.ConnectionStrings("GanaderiaConnectionString").ConnectionString
            sdsPantallas.SelectCommand = sSQL


            Dim view As DataView = sdsPantallas.Select(New DataSourceSelectArguments())
            Dim groupsTable As DataTable = view.ToTable()

            For Each dr As DataRow In groupsTable.Rows
                Select Case dr("pantalla").ToString.Trim
                    Case "Busqueda"
                        BtnBusqueda.Visible = True
                    Case "Nuevo"
                        BtnNuevo.Visible = True
                    Case "Empadres"
                        BtnEmpadres.Visible = True
                    Case "Fotos"
                        BtnFotos.Visible = True
                    Case "Estado"
                        BtnEstado.Visible = True
                    Case "Reporteador"
                        BtnFiltro.Visible = True
                    Case "Catalogos"
                        BtnCatalogos.Visible = True
                    Case "Contrasena"
                        BtnContrasena.Visible = True
                End Select
            Next
            Return Resultado
        Catch ex As Exception
            Return False
        End Try
    End Function

    Protected Sub BtnBusqueda_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles BtnBusqueda.Click
        Dim sUrl As String = Request.Url.Authority()
        sUrl = "http://" + sUrl
        codigo = sUrl & "/Santafe/registro/buscar.aspx?modulo=1&opt=1"
        Response.Redirect(codigo)
    End Sub
    Protected Sub BtnNuevo_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles BtnNuevo.Click
        Dim sUrl As String = Request.Url.Authority()
        sUrl = "http://" + sUrl
        codigo = sUrl & "/Santafe/Registro/Nuevo.aspx"
        Response.Redirect(codigo)
    End Sub
    Protected Sub BtnEmpadres_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles BtnEmpadres.Click
        Dim sUrl As String = Request.Url.Authority()
        sUrl = "http://" + sUrl
        codigo = sUrl & "/Santafe/Empadres/programa.aspx?modulo=8&opt=1"
        Response.Redirect(codigo)
    End Sub
    Protected Sub BtnFotos_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles BtnFotos.Click
        Dim sUrl As String = Request.Url.Authority()
        sUrl = "http://" + sUrl
        codigo = sUrl & "/Santafe/photos/EditarFoto.aspx?opt=2&modulo=3"
        Response.Redirect(codigo)
    End Sub
    Protected Sub BtnFiltro_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles BtnFiltro.Click
        Dim sUrl As String = Request.Url.Authority()
        sUrl = "http://" + sUrl
        codigo = sUrl & "/Santafe/Reportes/Filtros.aspx?modulo=10&opt=1"
        Response.Redirect(codigo)
    End Sub
    Protected Sub BtnCatalogos_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles BtnCatalogos.Click
        Dim sUrl As String = Request.Url.Authority()
        sUrl = "http://" + sUrl
        codigo = sUrl & "/Santafe/Utilerias/CatGeneral.aspx?modulo=11&opt=1"
        Response.Redirect(codigo)
    End Sub
    Protected Sub BtnContrasena_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles BtnContrasena.Click
        Dim sUrl As String = Request.Url.Authority()
        sUrl = "http://" + sUrl
        codigo = sUrl & "/Santafe/Configura/CambioContrasena.aspx?modulo=12&opt=1"
        Response.Redirect(codigo)
    End Sub
    Protected Sub BtnEstado_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles BtnEstado.Click
        Dim sUrl As String = Request.Url.Authority()
        sUrl = "http://" + sUrl
        codigo = sUrl & "/Santafe/Estado/EdoGanaderia.aspx?opt=2&modulo=6"
        Response.Redirect(codigo)
    End Sub


End Class
