﻿<%@ Page Language="VB" MasterPageFile="~/masterpages/MaestraInicio.master" AutoEventWireup="false"
    CodeFile="NuevoUsuario.aspx.vb" Inherits="NuevoUsuario" Title="Nuevo usuario" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <link href="~/Estilos/screen.css" rel="Stylesheet" type="text/css" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="Server">
    <div class="marco">   
             <table align="center">
                    <tr>
                        <td>
                            <asp:CreateUserWizard ID="CreateUserWizard1" runat="server" BackColor="#F7F6F3" BorderColor="#E6E2D8"
                                BorderStyle="Solid" BorderWidth="1px" Font-Names="Verdana" Font-Size="0.8em"
                                Style="z-index: 100; left: 104px; top: 56px" 
                                ContinueDestinationPageUrl="Default.aspx">
                                <MailDefinition BodyFileName="Configura/CorreoAUsuarioNuevo.txt" From="remitente@dominio"
                                    Subject="Bienvenido a WebSiteLogin">
                                </MailDefinition>
                                <SideBarStyle BackColor="#5D7B9D" BorderWidth="0px" Font-Size="0.9em" VerticalAlign="Top" />
                                <SideBarButtonStyle BorderWidth="0px" Font-Names="Verdana" ForeColor="White" />
                                <NavigationButtonStyle BackColor="#FFFBFF" BorderColor="#CCCCCC" BorderStyle="Solid"
                                    BorderWidth="1px" Font-Names="Verdana" ForeColor="#284775" />
                                <HeaderStyle BackColor="#5D7B9D" BorderStyle="Solid" Font-Bold="True" Font-Size="0.9em"
                                    ForeColor="White" HorizontalAlign="Left" />
                                <CreateUserButtonStyle BorderWidth="1px" Font-Names="Verdana" CssClass="boton" 
                                    BackColor="#638CB5" Height="25px" Width="150px" BorderColor="White" />
                                <ContinueButtonStyle BorderStyle="NotSet" Font-Names="Verdana"
                                    CssClass="boton" BackColor="#638CB5" Height="25px" Width="150px" 
                                    BorderColor="White" />
                                <StepStyle BorderWidth="0px" />
                                <TitleTextStyle BackColor="#3299CC" Font-Bold="True" ForeColor="White" />
                                <StartNavigationTemplate>
                                    <asp:Button ID="StartNextButton" runat="server" BackColor="#FFFBFF" BorderColor="#CCCCCC"
                                        BorderStyle="Solid" BorderWidth="1px" CommandName="MoveNext" Font-Names="Verdana"
                                        ForeColor="#284775" Text="Siguiente" />
                                </StartNavigationTemplate>
                                <WizardSteps>
                                    <asp:CreateUserWizardStep ID="CreateUserWizardStep1" runat="server">
                                        <ContentTemplate>
                                            <table border="0" style="font-family: Verdana; font-size: 100%;">
                                                <tr>
                                                    <td align="center" colspan="2" style="color: White; background-color: #3299CC; font-weight: bold;">
                                                        Regístrese para obtener una nueva cuenta
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="right">
                                                        <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName">Nombre de usuario:</asp:Label>
                                                    </td>
                                                    <td>
                                                        <asp:TextBox onkeydown = "return (event.keyCode!=13);" ID="UserName" runat="server"></asp:TextBox>
                                                        <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName"
                                                            ErrorMessage="El nombre de usuario es obligatorio." ToolTip="El nombre de usuario es obligatorio."
                                                            ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="right">
                                                        <asp:Label ID="PasswordLabel" runat="server" AssociatedControlID="Password">Contraseña:</asp:Label>
                                                    </td>
                                                    <td>
                                                        <asp:TextBox onkeydown = "return (event.keyCode!=13);" ID="Password" runat="server" TextMode="Password"></asp:TextBox>
                                                        <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password"
                                                            ErrorMessage="La contraseña es obligatoria." ToolTip="La contraseña es obligatoria."
                                                            ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="right">
                                                        <asp:Label ID="ConfirmPasswordLabel" runat="server" AssociatedControlID="ConfirmPassword">Confirmar contraseña:</asp:Label>
                                                    </td>
                                                    <td>
                                                        <asp:TextBox onkeydown = "return (event.keyCode!=13);" ID="ConfirmPassword" runat="server" TextMode="Password"></asp:TextBox>
                                                        <asp:RequiredFieldValidator ID="ConfirmPasswordRequired" runat="server" ControlToValidate="ConfirmPassword"
                                                            ErrorMessage="Confirmar contraseña es obligatorio." ToolTip="Confirmar contraseña es obligatorio."
                                                            ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="right">
                                                        <asp:Label ID="EmailLabel" runat="server" AssociatedControlID="Email">Correo electrónico:</asp:Label>
                                                    </td>
                                                    <td>
                                                        <asp:TextBox onkeydown = "return (event.keyCode!=13);" ID="Email" runat="server"></asp:TextBox>
                                                        <asp:RequiredFieldValidator ID="EmailRequired" runat="server" ControlToValidate="Email"
                                                            ErrorMessage="El correo electrónico es obligatorio." ToolTip="El correo electrónico es obligatorio."
                                                            ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
                                                    </td>
                                                </tr>
                                                
                                                
                                                <tr>
                                                    <td align="center" colspan="2">
                                                        <asp:CompareValidator ID="PasswordCompare" runat="server" ControlToCompare="Password"
                                                            ControlToValidate="ConfirmPassword" Display="Dynamic" ErrorMessage="Contraseña y Confirmar contraseña deben coincidir."
                                                            ValidationGroup="CreateUserWizard1"></asp:CompareValidator>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="center" colspan="2" style="color: Red;">
                                                        <asp:Literal ID="ErrorMessage" runat="server" EnableViewState="False"></asp:Literal>
                                                    </td>
                                                </tr>
                                            </table>
                                        </ContentTemplate>
                                    </asp:CreateUserWizardStep>
                                    <asp:CompleteWizardStep ID="CompleteWizardStep1" runat="server">
                                    </asp:CompleteWizardStep>
                                </WizardSteps>
                            </asp:CreateUserWizard>
                        </td>
                    </tr>
                </table>
                 <div style="  padding-left : 285px; padding-top : 10px " >
            <asp:ImageButton ID="ImageBtnRegresa" runat="server" ImageUrl="images/icoizquirda.png" />
        </div>
    </div>
  </asp:Content>
