<%@ Page Language="VB" MasterPageFile="~/masterpages/MaestraUtilerias.master" AutoEventWireup="false"
    CodeFile="CatGeneral.aspx.vb" Inherits="Utilerias_CatGeneral" Title="Catalogo General" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajaxToolkit" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <link href="../Estilos/formulario.css" rel="Stylesheet" type="text/css" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="Server">
    <ajaxToolkit:ToolkitScriptManager ID="ToolkitScriptManager1" runat="server" EnableScriptLocalization="true"
        EnableScriptGlobalization="true">
    </ajaxToolkit:ToolkitScriptManager>
    <div class="editar">
        <fieldset>
            <legend>Catalogo General</legend>
            <br />
            <asp:Label ID="lblExcepcion" runat="server"></asp:Label>
            <br />
            <table cellpadding="2" cellspacing="2" align="center">
                <tr>
                    <td colspan="4">
                        <asp:FormView ID="Nuevo" runat="server" DataKeyNames="cattip,catcve" DataSourceID="odsCatalogo"
                            DefaultMode="Insert" HeaderText="Nuevo " CellPadding="2" CellSpacing="3" GridLines="Both"
                            Width="300px">
                            <InsertItemTemplate>
                                <table width="100%">
                                    <tr>
                                        <td class="FormHeaderTD" width="80px" align="right">
                                            Categoria:
                                        </td>
                                        <td class="DataTD">
                                            <asp:DropDownList ID="ddlCattip" runat="server" DataSourceID="odsCategoria" DataTextField="catdesc"
                                                DataValueField="cattip" SelectedValue='<%# Bind("cattip", "{0}") %>' ValidationGroup="nuevo"
                                                AppendDataBoundItems="True">
                                                <asp:ListItem Value="" Text=""></asp:ListItem>
                                            </asp:DropDownList>
                                            <asp:RequiredFieldValidator ID="reqCattip" runat="server" ControlToValidate="ddlCattip"
                                                ErrorMessage="Seleciona alguna categoria" ValidationGroup="nuevo">*</asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="FormHeaderTD" align="right">
                                            Clave:
                                        </td>
                                        <td class="DataTD">
                                            <asp:TextBox onkeydown = "return (event.keyCode!=13);" ID="catcveTextBox" runat="server" CssClass="text" Text='<%# Bind("catcve") %>'
                                                Width="30px" MaxLength="3" ValidationGroup="nuevo" />
                                            <asp:RequiredFieldValidator ID="reqCatcve" runat="server" ControlToValidate="catcveTextBox"
                                                ErrorMessage="Ingrese la clave" ValidationGroup="nuevo">*</asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="FormHeaderTD" align="right">
                                            Descripcion:
                                        </td>
                                        <td class="DataTD">
                                            <asp:TextBox onkeydown = "return (event.keyCode!=13);" ID="catnomTextBox" runat="server" CssClass="text" Text='<%# Bind("catnom") %>'
                                                MaxLength="30" Width="180px" ValidationGroup="nuevo" />
                                            <asp:RequiredFieldValidator ID="reqCatnom" runat="server" ControlToValidate="catnomTextBox"
                                                ErrorMessage="Ingrese alguna descripcion" ValidationGroup="nuevo">*</asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" align="right">
                                            <asp:Button ID="btnInsert" runat="server" CausesValidation="true" CommandName="Insert"
                                                Text="Insertar" ValidationGroup="nuevo" CssClass="Botones" />
                                            &nbsp;<asp:Button ID="InsertCancelButton" runat="server" CausesValidation="False"
                                                CommandName="Cancel" Text="Cancelar" CssClass="Botones" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">
                                            <asp:ValidationSummary ID="Errores" runat="server" ValidationGroup="nuevo" HeaderText="Error: "
                                                ShowMessageBox="True" DisplayMode="List" />
                                        </td>
                                    </tr>
                                </table>
                            </InsertItemTemplate>
                            <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                        </asp:FormView>
                        <br />
                        <br />
                        <br />
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                    <td class="FormHeaderTD" align="right">
                        Categoria:
                    </td>
                    <td>
                        <asp:DropDownList ID="ddlCategoria" runat="server" AutoPostBack="True" DataSourceID="odsCategoria"
                            DataTextField="catdesc" DataValueField="cattip" ToolTip="Selecciona alguna categoria para cambiar la informacin">
                        </asp:DropDownList>
                    </td>
                    <td>
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                    <td align="center">
                    </td>
                    <td>
                        <asp:UpdatePanel ID="upActualiza" runat="server">
                            <ContentTemplate>
                                <asp:GridView ID="gvCatGral" runat="server" AutoGenerateColumns="False" CellPadding="4"
                                    DataKeyNames="cattip,catcve" DataSourceID="odsCatGral" ForeColor="#333333" GridLines="None"
                                    EmptyDataText="No existe informacion">
                                    <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
                                    <Columns>
                                        <asp:TemplateField ShowHeader="False">
                                            <EditItemTemplate>
                                                <asp:ImageButton ID="ImageButton1" runat="server" CausesValidation="True" CommandName="Update"
                                                    ImageUrl="~/images/disk.png" Text="Actualizar" ToolTip="Guardar elemento" />
                                                &nbsp;<asp:ImageButton ID="ImageButton2" runat="server" CausesValidation="False"
                                                    CommandName="Cancel" ImageUrl="~/images/cancel.png" Text="Cancelar" ToolTip="Cancelar operacion" />
                                            </EditItemTemplate>
                                            <ItemTemplate>
                                                <asp:ImageButton ID="ImageButton1" runat="server" CausesValidation="False" CommandName="Edit"
                                                    ImageUrl="~/images/editar.gif" Text="Editar" ToolTip="Editar el registro" />
                                                &nbsp;<asp:ImageButton ID="ImageButton2" runat="server" CausesValidation="False"
                                                    CommandName="Delete" ImageUrl="~/images/eliminar.gif" Text="Eliminar" OnClientClick="return confirm('La eliminacin de los registros del catalogo\npuede causar anomalias en el sistema\nDesea eliminar el elemento?')"
                                                    ToolTip="Eliminar registro" />
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:BoundField DataField="catcve" HeaderText="Clave" ReadOnly="True" SortExpression="catcve" />
                                        <asp:BoundField DataField="catnom" HeaderText="Descripcion" SortExpression="catnom"
                                            ControlStyle-CssClass="text" />
                                    </Columns>
                                    <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                                    <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
                                    <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
                                    <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                                    <EditRowStyle BackColor="#999999" />
                                    <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
                                </asp:GridView>
                            </ContentTemplate>
                        </asp:UpdatePanel>
                    </td>
                    <td align="center">
                        &nbsp;
                    </td>
                </tr>
            </table>
            <asp:ObjectDataSource ID="odsCategoria" runat="server" DeleteMethod="Delete" InsertMethod="Insert"
                OldValuesParameterFormatString="original_{0}" SelectMethod="GetCategorias" TypeName="DataSet_ohlTableAdapters.categorias_catalogoTableAdapter"
                UpdateMethod="Update">
                <DeleteParameters>
                    <asp:Parameter Name="Original_cattip" Type="String" />
                </DeleteParameters>
                <UpdateParameters>
                    <asp:Parameter Name="catdesc" Type="String" />
                    <asp:Parameter Name="Original_cattip" Type="String" />
                </UpdateParameters>
                <InsertParameters>
                    <asp:Parameter Name="cattip" Type="String" />
                    <asp:Parameter Name="catdesc" Type="String" />
                </InsertParameters>
            </asp:ObjectDataSource>
            <asp:ObjectDataSource ID="odsCatGral" runat="server" DeleteMethod="Delete" InsertMethod="Insert"
                OldValuesParameterFormatString="original_{0}" SelectMethod="GetCatGralBycattip"
                TypeName="DataSet_ohlTableAdapters.catalogo_generalTableAdapter" UpdateMethod="Update">
                <DeleteParameters>
                    <asp:Parameter Name="Original_cattip" Type="String" />
                    <asp:Parameter Name="Original_catcve" Type="String" />
                </DeleteParameters>
                <UpdateParameters>
                    <asp:Parameter Name="catnom" Type="String" />
                    <asp:Parameter Name="Original_cattip" Type="String" />
                    <asp:Parameter Name="Original_catcve" Type="String" />
                </UpdateParameters>
                <SelectParameters>
                    <asp:ControlParameter ControlID="ddlCategoria" DefaultValue="C" Name="cattip" PropertyName="SelectedValue"
                        Type="String" />
                </SelectParameters>
                <InsertParameters>
                    <asp:Parameter Name="cattip" Type="String" />
                    <asp:Parameter Name="catcve" Type="String" />
                    <asp:Parameter Name="catnom" Type="String" />
                </InsertParameters>
            </asp:ObjectDataSource>
            <asp:ObjectDataSource ID="odsCatalogo" runat="server" DeleteMethod="Delete" InsertMethod="Insert"
                OldValuesParameterFormatString="original_{0}" SelectMethod="GetCatalogo" TypeName="Tom0014TableAdapters.catalogo_generalTableAdapter"
                UpdateMethod="Update">
                <DeleteParameters>
                    <asp:Parameter Name="Original_cattip" Type="String" />
                    <asp:Parameter Name="Original_catcve" Type="String" />
                    <asp:Parameter Name="Original_catnom" Type="String" />
                </DeleteParameters>
                <UpdateParameters>
                    <asp:Parameter Name="catnom" Type="String" />
                    <asp:Parameter Name="Original_cattip" Type="String" />
                    <asp:Parameter Name="Original_catcve" Type="String" />
                    <asp:Parameter Name="Original_catnom" Type="String" />
                </UpdateParameters>
                <InsertParameters>
                    <asp:Parameter Name="cattip" Type="String" />
                    <asp:Parameter Name="catcve" Type="String" />
                    <asp:Parameter Name="catnom" Type="String" />
                </InsertParameters>
            </asp:ObjectDataSource>
        </fieldset>
    </div>
</asp:Content>
